Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.controller
Interface RequestContextFactory

All Known Implementing Classes:
  RequestContextFactoryImpl

public interface RequestContextFactory

creates a RequestContext from request / response. SPI interface only. Use RequestContextFactoryFinder to create a context.

Author:
  av
See Also:
  `RequestContextFactoryFinder.createContext(HttpServletRequest, HttpServletResponse, boolean)`, `RequestContext.instance()`

Method Summary
`RequestContext` | `createContext(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` create a new context
`Converter` | `getConverter()`
`Formatter` | `getFormatter()`
`java.util.Locale` | `getLocale()`
`java.lang.String` | `getRemoteDomain()`
`java.lang.String` | `getRemoteUser()`
`Resources` | `getResources()`
`void` | `setLocale(javax.servlet.http.HttpServletRequest session, java.util.Locale locale)`
`void` | `setLocale(java.util.Locale locale)` Deprecated.

Method Detail

### createContext

    public RequestContext createContext(javax.servlet.http.HttpServletRequest request,
                                        javax.servlet.http.HttpServletResponse response)

  create a new context

### getFormatter

    public Formatter getFormatter()

### getConverter

    public Converter getConverter()

### getLocale

    public java.util.Locale getLocale()

### getResources

    public Resources getResources()

### setLocale

    public void setLocale(java.util.Locale locale)

  Deprecated.

### setLocale

    public void setLocale(javax.servlet.http.HttpServletRequest session,
                          java.util.Locale locale)

### getRemoteUser

    public java.lang.String getRemoteUser()

### getRemoteDomain

    public java.lang.String getRemoteDomain()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD